QGIS Application - Bug report #19281
Delete does not remove items from composer for certain locales
2018-06-27 11:23 AM - Bernhard Strébl

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2 Regression?: No
Operating System: any Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 27109
Description

When setting QGIS to system_locale (in my case De_de) the Delete key does not work; overriding system locale with e.g. American

English it does. Other languages might be affected, too.
This is true for all versions of QGIS until now.

Related issues:
Duplicates QGIS Application - Bug report # 17281: Composer shortcuts issues w... Closed

2017-10-15

History

#1 - 2018-06-27 11:35 AM - Thomas HG

| have the same problem here. Also located in Germany.

At least QGIS version 2.x and 3.x are effected.

#2 - 2018-06-27 11:44 AM - Frank Broniewski

I have tried all them locales in C:\OSGeo4W64\apps\ggis\i18n (QGIS 3.2) and the following locales are affected:

- es

- hi
- hu

- km

pt_BR

zh-Hant

#3 - 2018-06-27 01:06 PM - Jiirgen Fischer

Frank Broniewski wrote:

I have tried all them locales in C:\OSGeo4W64\apps\qgis\i18n (QGIS 3.2) and the following locales are affected:

are there any which are not affected (ie. is above a full list)?
#4 - 2018-06-27 02:32 PM - Frank Broniewski
Jurgen Fischer wrote:
Frank Broniewski wrote:
I have tried all them locales in C:\OSGeo4W64\apps\qgis\i18n (QGIS 3.2) and the following locales are affected:
are there any which are not affected (ie. is above a full list)?
Yes, the rest in the above directory:
ar, bg, bs, ca, cs, da, el, eo, et, eu, fi, fr, id, is, it, ja, ko, ky, It, Iv, pl, pt_PT, ro, ru, sv, tr, uk, vi, zh-Hans
all work
just to clarify my testing process:

| called QGIS with the --lang parameter (see above) and tried to delete a rectangle in the composer. | refered to the above mentioned directory to see which

locales are supported.

#5 - 2019-03-09 02:11 PM - Jiirgen Fischer

- Duplicates Bug report #17281: Composer shortcuts issues when using languages other than english added
#6 - 2019-03-09 02:11 PM - Jiirgen Fischer

- Resolution set to duplicate
- Status changed from Open to Closed
